%define module	django-picklefield

Name:		python-%{module}
Version:	0.3.2
Release:	%mkrel 3
Summary:	Implementation of a pickled object field
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/django-picklefield/
Source0:	https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

Requires:	pythonegg(2)(django)

%description
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Implementation of a pickled object field
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)

Requires:	pythonegg(3)(django)

%description -n python3-%{module}
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%autosetup -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc README.rst
%{python2_sitelib}/picklefield/
%{python2_sitelib}/django_picklefield-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst
%{python3_sitelib}/picklefield/
%{python3_sitelib}/django_picklefield-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.3.2-3.mga6
+ Revision: 970450
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 0.3.2-2.mga6
+ Revision: 886818
- rebuild for python 3.5

* Mon Sep 07 2015 daviddavid <daviddavid> 0.3.2-1.mga6
+ Revision: 873917
- new version: 0.3.2
- use new python macros
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-6.mga5
+ Revision: 739762
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-5.mga5
+ Revision: 728289
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 687986
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.1-3.mga5
+ Revision: 628582
- Rebuild for new Python

* Tue Apr 22 2014 daviddavid <daviddavid> 0.3.1-2.mga5
+ Revision: 617358
- remove unneeded provides package (thanks philippem)

* Mon Apr 21 2014 daviddavid <daviddavid> 0.3.1-1.mga5
+ Revision: 617230
- add support of python 3
- imported package python-django-picklefield

